package com.simplicite.objects.Demo;

import java.util.*;

import com.simplicite.util.*;
import com.simplicite.util.exceptions.*;
import com.simplicite.util.tools.*;

/**
 * Business object DemoSupplier
 */
public class DemoSupplier extends ObjectDB {
	private static final long serialVersionUID = 1L;
	
	public void initRefSelect(ObjectDB parent) {
		super.initRefSelect(parent);
		setDisplay("Test");
	}
	
	@Override
	public List<String> preValidate() {
		List<String> msgs = new ArrayList<>();
		
		//msgs.add(Message.formatInfo("INFO_CODE", "Message", "fieldName"));
		//msgs.add(Message.formatWarning("WARNING_CODE", "Message", "fieldName"));
		//msgs.add(Message.formatError("ERROR_CODE", "Message", "fieldName"));
		
		if (Tool.isEmpty(getFieldValue("demoSupFax"))) {
			msgs.add(Message.formatError("TEST", "Le fax est obligatoire.", "demoSupFax"));
		}
		
		
		return msgs;
	}
	
	public List<String> testHandler() {
		
		AppLog.warning("DEBUG / testHandler", null, getGrant());
		
		try {
			
			this.getTool().validate();
			
		} catch(Exception e) {
			
			List<String> msgs = new ArrayList<>();
			
			msgs.add(Message.formatError("TEST", e.getMessage(), "demoSupFax"));
			msgs.add(Message.formatError("TEST 2", e.getMessage(), "demoSupFax"));
			
			return msgs;
			
		}
		
		return null;
		
	}
	
}
